Seite 6 von 13
Verfasst: So 29. Mär 2009, 23:12
von sputnick_restored
Heh Linux users,
I worked a couple of hours on this release. Now
http://sputnick-area.net/ftp/downloads/ ... -beta.bash is done and tested successfully for both USB and bluetooth under Ubuntu hardy.
Feel free to send me your feedback on the script.
The major version have changed, because all the script had be rewritten from scratch, and the script is simplest now than 3.* versions & more portable.
You just have to run this few lines in a terminal : ( the small "black tv" on certains Linux configuration )
Code: Alles auswählen
wget http://sputnick-area.net/ftp/downloads/myphoneinstaller-4.0.0-beta.bash
chmod +x myphoneinstaller-4.0.0.bas
./myphoneinstaller-4.0.0.bas
and follow the instructions.
The bluetooth is working really better than USB ( USB don't like plug/unplug )
( If you are looking for a cheap & powerful usb dongle Linux compliant, take a look to "trust ultra small" one that is working well on my Ubuntu hardy. )
See ya everybody.
( I'm looking for the DLL I need to add to have the fonts more readable.)
Verfasst: So 29. Mär 2009, 23:15
von malleeblue_restored
Hi sputnick,
I ran the code you supplied and so you know the output I'm posting it below.
Code: Alles auswählen
me@mypcname:~$ wget http://sputnick-area.net/ftp/downloads/myphoneinstaller-4.0.0.bash
--2008-12-23 12:39:47-- http://sputnick-area.net/ftp/downloads/myphoneinstaller-4.0.0.bash
Resolving sputnick-area.net... 87.98.173.182
Connecting to sputnick-area.net|87.98.173.182|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4027 (3.9K) [text/plain]
Saving to: `myphoneinstaller-4.0.0.bash'
100%[======================================>] 4,027 8.03K/s in 0.5s
2008-12-23 12:39:50 (8.03 KB/s) - `myphoneinstaller-4.0.0.bash' saved [4027/4027]
me@mypcname:~$ chmod +x myphoneinstaller-4.0.0.bash
me@mypcname:~$ ./myphoneinstaller-4.0.0.bash
Downloading stuff from web...
Executing wget -nd -c --read-timeout=300 --retry-connrefused --header Accept-Encoding: gzip,deflate http://download.microsoft.com/download/vb60pro/install/6/win98me/en-us/vbrun60.exe
Executing wget -nd -c --read-timeout=300 --retry-connrefused --header Accept-Encoding: gzip,deflate http://download.microsoft.com/download/8/8/8/888f34b7-4f54-4f06-8dac-fa29b19f33dd/msxml3.msi
Using native,builtin override for following DLLs: msxml3
Executing wine regedit /home/malleeblue/.wine/drive_c/winetrickstmp/override-dll.reg
Executing wine msiexec /i /home/malleeblue/.winetrickscache/msxml3.msi /q
When install of MyphoneExplorer is finish in the popup, you have to UNSELECT "start MyphoneExplorer*"
OK ?
y
Successfully registered DLL ccrpDtp6.ocx
Successfully registered DLL ccrpUCW6.dll
Successfully registered DLL ShellMgr.dll
Successfully registered DLL SSubTmr6.dll
Successfully registered DLL vbalExpBar6.ocx
Successfully registered DLL vbalIml6.ocx
Successfully registered DLL vbalSGrid6.ocx
Choose which device have to deal with MPE ( bluetooth is really better than USB in that case ) :
1) USB
2) Bluetooth device
#? 2
MyphoneExplorer is installed. To finish, you need to run /home/malleeblue/myPhoneExplorer.bash in a terminal, press "f2" touch, type "com2" as Port, select "stable connection", click "ok", and click on the refresh button.
me@mypcname:~$ /home/malleeblue/myPhoneExplorer.bash
Running scan... please wait
1) 00:21:9E:4D:8D:EA C902
Choose your bluetooth phone :
1
me@mypcname:~$
However, after installation and after doing the...
Code: Alles auswählen
To finish, you need to run /home/malleeblue/myPhoneExplorer.bash in a terminal, press "f2" touch, type "com2" as Port, select "stable connection", click "ok", and click on the refresh button.
I get the same error as I've been getting for a while ...
"Set connection string failed".
Did I do something wrong?
Verfasst: So 29. Mär 2009, 23:16
von sputnick_restored
Hi,
no problem on my ubuntu hardy, but I have a "Systemerror: 31 (General failure]" when trying to "refresh" with my debian sid.
Sounds like "rfcom connect" command fails : "Can't connect RFCOMM socket: Connection refused"
malleeblue, thanks to give which distro you have.
See ya
Verfasst: So 29. Mär 2009, 23:17
von malleeblue_restored
sputnick hat geschrieben:malleeblue, thanks to give which distro you have.
Ubuntu 8.10 (Intrepid)
Kernel Linux 2.6.27-11-generic
GNOME 2.24.1
Hope this can help you get to the bottom of all this for us.
Thanks again so far though, you give us ex-Windows users hope.
Verfasst: So 29. Mär 2009, 23:18
von sputnick_restored
Version have changed : myphoneinstaller-4.0.0.bash => myphoneinstaller-4.0.0-beta.bash
A small bug is fixed ( test if bluetoothd-serv is on in the MPE launcher )
malleeblue, can you paste the output of that :
Code: Alles auswählen
/etc/init.d/bluetooth restart
pgrep bluetoothd
rfcomm connect 0 00:16:15:9F:98:BB 2 & # replace 00:16:15:9F:98:BB by your hex output from hcitool scan
ls -l /dev/rfc*
Verfasst: So 29. Mär 2009, 23:20
von malleeblue_restored
Here you go...
Code: Alles auswählen
me@mypcname:~$ /etc/init.d/bluetooth restart
* Stopping bluetooth [ OK ]
* Starting bluetooth [ OK ]
me@mypcname:~$ pgrep bluetoothd
6269
me@mypcname:~$ rfcomm connect 0 00:21:9E:4D:8D:EA 2
Can't connect RFCOMM socket: Connection refused
me@mypcname:~$ ls -l /dev/rfc*
ls: cannot access /dev/rfc*: No such file or directory
Verfasst: So 29. Mär 2009, 23:22
von sputnick_restored
heh, same problem on my debian.
Is if you type
before
that change something ?
Verfasst: So 29. Mär 2009, 23:23
von malleeblue_restored
Had to run as root, but perhaps it's a little better...
Code: Alles auswählen
root@mypcname:/home/malleeblue# /etc/init.d/bluetooth restart
* Stopping bluetooth [ OK ]
* Starting bluetooth [ OK ]
root@mypcname:/home/malleeblue# pgrep bluetoothd
6269
root@mypcname:/home/malleeblue# rfcomm bind 0 00:21:9E:4D:8D:EA
root@mypcname:/home/malleeblue# rfcomm connect 0 00:21:9E:4D:8D:EA 2
Can't connect RFCOMM socket: Operation now in progress
root@mypcname:/home/malleeblue# ls -l /dev/rfc*
crw-rw---- 1 root dialout 216, 0 2008-12-24 09:51 /dev/rfcomm0
Verfasst: So 29. Mär 2009, 23:24
von sputnick_restored
Try the following script to launch MPE ( replace the old one ) :
Code: Alles auswählen
#!/bin/bash
echo "Running scan... please wait"
hcitool scan | grep -v Scanning > /tmp/hciscan
if [[ ! -s /tmp/hciscan ]]; then
echo "No bluetooth device found ! Quitting."
exit 1
fi
tput setaf 2
c=1
arr=( )
while read a; do
echo "$((c++))) $a"
arr+=("$a")
done < /tmp/hciscan
tput setaf 3
echo "Choose your bluetooth phone : "
read
tput setaf 7
Hex=$(sed -n $((REPLY))p /tmp/hciscan | awk '{print $1}')
\rm /tmp/hciscan
if [[ ! -f /etc/init.d/bluetooth ]]; then
echo "You need to install bluez-utils" >&2
exit 1
fi
if [[ ! $(pgrep bluetoothd) ]]; then
echo "You need to run \"/etc/init.d/bluetooth start\".\n OK ?"
read
fi
sudo rfcomm bind 0 $Hex
{ rfcomm connect 0 $Hex 2 & } &>/dev/null
ln -fs /dev/rfcomm0 ~/.wine/dosdevices/com2
if [[ -b /dev/rfcomm0 ]]
wine ~/.wine/drive_c/Program\ Files/MyPhoneExplorer/MyPhoneExplorer.exe 2>/dev/null || echo "Wine failed to run MPE"
else
echo "No /dev/rfcomm0 device created"
exit 1
fi
and tell me if that's works
Verfasst: So 29. Mär 2009, 23:27
von malleeblue_restored
Didn't work, here's the output...
Code: Alles auswählen
root@mypcname:~# /home/malleeblue/MPE
Running scan... please wait
1) 00:21:9E:4D:8D:EA C902
Choose your bluetooth phone :
1
/home/malleeblue/MPE: line 25: unexpected token `(', conditional binary operator expected
/home/malleeblue/MPE: line 25: syntax error near `\$(p'
/home/malleeblue/MPE: line 25: `if [[ ! \$(pgrep bluetoothd) ]]; then'
Verfasst: So 29. Mär 2009, 23:27
von sputnick_restored
oops, sorry, typo.
The script is edited above...
Verfasst: So 29. Mär 2009, 23:29
von malleeblue_restored
There may be another typo here:
I changed rfcom to rfcomm and it ran but I get this output:
Code: Alles auswählen
Running scan... please wait
1) 00:21:9E:4D:8D:EA C902
Choose your bluetooth phone :
1
Wine failed to run MPE
So I started MPE manually and pressed F1 but, after about a 5 second delay, I get this message:
Code: Alles auswählen
COM2 could not be opened
Systemerror: 31 [General failure]
Verfasst: So 29. Mär 2009, 23:31
von putnick_restored
The problem is there ( rfcomm connect ):
Code: Alles auswählen
# rfcomm
rfcomm0: 00:18:13:0F:6A:1A channel 1 clean
# ls -l /dev/rfcomm0
crwxrwxrwx 1 root dialout 216, 0 Dec 24 13:14 /dev/rfcomm0
# rfcomm connect 0 00:18:13:0F:6A:1A 2
Can't connect RFCOMM socket: Connection refused
I get Connection refused like you I guess when trying to connect.
Is anybody here knows what's wrong ?
Verfasst: So 29. Mär 2009, 23:31
von malleeblue_restored
I was getting "Can't connect RFCOMM socket: Connection refused" until I ran the commands as root.
Verfasst: So 29. Mär 2009, 23:32
von MrAntonio_restored
hi guys, this information has helped also to me to solve similar problems
thanks
Verfasst: So 29. Mär 2009, 23:32
von sputnick_restored
Hi MrAntonio.
Can you explain which problem and which solution please ?
Cheers, sputnick.
Verfasst: So 29. Mär 2009, 23:34
von wasutton3_restored
i keep getting this error
Code: Alles auswählen
./myPhoneExplorer.bash: line 43: syntax error near unexpected token `else'
./myPhoneExplorer.bash: line 43: `else'
i am running ubuntu intrepid ibex 8.10 64 bit that is completely updated
Verfasst: So 29. Mär 2009, 23:35
von DannyPop_restored
Everything went fine, but when it tries to do the initial syncronization I get this:
Obex protocol could not be initialized!
Obex errorcode: C0 - Bad Request - server couldn't understand request.
Verfasst: So 29. Mär 2009, 23:35
von FJ_restored
Which phone do you use ?
Verfasst: So 29. Mär 2009, 23:36
von DannyPop_restored
Ah, silly me.
K750i flashed to W800i. Ubuntu 8.10, fully updated.